<?php

/**
 * Class that operate on table 'employeedoctordebtandpay'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2023-07-22 14:39
 */
class EmployeedoctordebtandpayMySqlExtDAO extends EmployeedoctordebtandpayMySqlDAO {

    public function queryAllEX($queryString = '') {
        $sql = 'SELECT employeedoctordebtandpay.*,employeedoctor.name as employeedoctorName,save.savename
                FROM employeedoctordebtandpay
                left join employeedoctor on employeedoctor.id= employeedoctordebtandpay.employeeOrDoctorId
                left join save on save.saveid = employeedoctordebtandpay.saveid
                where employeedoctordebtandpay.del=0 ' . $queryString;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>